Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.browser.config.window
Class WindowState

    java.lang.Object
      org.gjt.jclasslib.browser.config.window.WindowState

public class WindowState
extends Object

Complete serializable state of a `BrowserComponent`.

Version:
  $Revision: 1.1 $ $Date: 2003/08/18 08:10:15 $
Author:
  Ingo Kegel

Constructor Summary
`WindowState()` Constructor.
`WindowState(String fileName)` Constructor.
`WindowState(String fileName, BrowserPath browserPath)` Constructor.

Method Summary
`boolean` | `equals(Object other)`
`BrowserPath` | `getBrowserPath()` Get the browser path.
`String` | `getFileName()` Get the file name of the displayed class.
`int` | `hashCode()`
`void` | `setBrowserPath(BrowserPath browserPath)` Set the browser path.
`void` | `setFileName(String fileName)` Set the file name of the displayed class.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowState

    public WindowState(String fileName,
                       BrowserPath browserPath)

  Constructor.

Parameters:
  `fileName` - the file name for the displayed class.
  `browserPath` - the browser path that should be selected. May be `null`.

### WindowState

    public WindowState(String fileName)

  Constructor.

Parameters:
  `fileName` - the file name for the displayed class.

### WindowState

    public WindowState()

  Constructor.

Method Detail

### getFileName

    public String getFileName()

  Get the file name of the displayed class.

  Returns:
    the file name.

### setFileName

    public void setFileName(String fileName)

  Set the file name of the displayed class.

  Parameters:
    `fileName` -

### getBrowserPath

    public BrowserPath getBrowserPath()

  Get the browser path.

  Returns:
    the browser path.

### setBrowserPath

    public void setBrowserPath(BrowserPath browserPath)

  Set the browser path.

  Parameters:
    `browserPath` - the browser path.

### equals

    public boolean equals(Object other)

### hashCode

    public int hashCode()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD